petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscObjectViewFromOptions

Processes command line options to determine if/how a PetscObject is to be viewed.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscObjectViewFromOptions(PetscObject obj,PetscObject bobj,const char optionname[])

Collective on PetscObject

### Input Parameters

| obj | - the object
| bobj | - optional other object that provides prefix (if NULL then the prefix in obj is used)
| optionname | - option to activate viewing

Level:intermediate
Location:src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages